The problem and solution are simple.

The issue is in the /usr/bin/iriverter script. It refers to
/usr/lib/java/swt-gtk-3.5.jar but the distro contains -3.5.1.jar

You can confirm part this...